diff --git a/doc/pgjdbc.xml b/doc/pgjdbc.xml
index a13d320..7fdb616 100644
--- a/doc/pgjdbc.xml
+++ b/doc/pgjdbc.xml
@@ -2396,6 +2396,21 @@ public class GeometricTest {
     </example>
   </sect1>
 
+  <sect1 id="hstore">
+   <title>hstore Data Type</title>
+
+   <para>
+    <productname>PostgreSQL</productname> has a <ulink
+    url="http://www.postgresql.org/docs/current/static/hstore.html">hstore</ulink>
+    extension that can store unstructured key/value pairs into a table.
+    The jdbc driver maps the type to <classname>java.util.Map&lt;String, String&gt;</classname>.
+   </para>
+
+   <para>After you have enabled the hstore extension in your database the mapping of hstore
+    type to/from <classname>Map</classname> will be automatically enabled when using
+    <function>setObject()</function> and <function>getObject()</function> methods.
+   </para>
+  </sect1>
 
   <sect1 id="largeobjects">
    <title>Large Objects</title>
